org.eclipse.rdf4j.common.app.logging.base

## Class LogConfigurationBase

- java.lang.Object
- - org.eclipse.rdf4j.common.app.logging.base.AbstractLogConfiguration
  - - org.eclipse.rdf4j.common.app.logging.base.LogConfigurationBase

- All Implemented Interfaces:
    Configuration, LogConfiguration

  Deprecated.
  since 4.0. Use `AbstractLogConfiguration` instead.

      @Deprecated
      public abstract class LogConfigurationBase
      extends AbstractLogConfiguration

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.common.app.logging.LogConfiguration

      `ADMIN_EVENT_LOG_FILE, ADMIN_EVENT_LOGGER_NAME, LOG_FILE, LOGGING_DIR, USER_EVENT_LOG_FILE, USER_EVENT_LOGGER_NAME`

    - ### Fields inherited from interface org.eclipse.rdf4j.common.app.config.Configuration

      `DEFAULT_RESOURCES_LOCATION, DIR, RESOURCES_LOCATION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LogConfigurationBase()` Deprecated. Constructor

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.common.app.logging.base.AbstractLogConfiguration

      `getAppConfiguration, getBaseDir, getConfDir, getLoggingDir, getPackages, isDebugLoggingEnabled, setAppConfiguration, setBaseDir, setDebugLoggingEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.app.logging.LogConfiguration

      `getDefaultLogReader, getLogReader`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.app.config.Configuration

      `destroy, init, load, save`

- - ### Constructor Detail

    - #### LogConfigurationBase

          protected LogConfigurationBase()
                                  throws IOException

      Deprecated.
      Constructor
      Throws:
        `IOException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.